From 0b302fea975c6d1575b4b466c5be111183c81629 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 712/1001] Convert the about widget


---

diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 9f6383a..9415590 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -361,7 +361,7 @@ class HubsAPITest(hubs.tests.APPTest):
             result = self.app.get(url)
             self.assertEqual(result.status_code, 302)
             expected_str = 'https://pagure.io/fedora-hubs/' \
-                           'blob/develop/f/hubs/widgets/about.py'
+                           'blob/develop/f/hubs/widgets/about/__init__.py'
             self.assertIn(expected_str, result.get_data(as_text=True))
 
     def test_source_name_not_existent(self):
diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 74e0c56..d068a1b 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -21,24 +21,3 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
             u'source_url': u'/source/about',
             u'text': u'Testing.',
         })
-
-    def test_should_invalidate_wrong_topic(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        msg = {'topic': 'hubs.widget.update.WRONG.TOPIC', 'msg': {'widget': {'id': widget.idx}}}
-        module = hubs.widgets.registry[widget.plugin]
-        result = module.should_invalidate(msg, self.session, widget)
-        self.assertFalse(result)
-
-    def test_should_invalidate_wrong_widget_id(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx+1}}}
-        module = hubs.widgets.registry[widget.plugin]
-        result = module.should_invalidate(msg, self.session, widget)
-        self.assertFalse(result)
-
-    def test_should_invalidate_good_match(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx}}}
-        module = hubs.widgets.registry[widget.plugin]
-        result = module.should_invalidate(msg, self.session, widget)
-        self.assertTrue(result)
diff --git a/hubs/widgets/about/__init__.py b/hubs/widgets/about/__init__.py
new file mode 100644
index 0000000..aff28b0
--- /dev/null
+++ b/hubs/widgets/about/__init__.py
@@ -0,0 +1,30 @@
+from __future__ import unicode_literals
+
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import Widget, WidgetView
+
+from hubs import validators
+
+
+class About(Widget):
+
+    name = "about"
+    position = "both"
+    arguments = [dict(
+        name="text",
+        label="Text",
+        default="I am a Fedora user, and this is my about",
+        validator=validators.text,
+        help="Text about a user.",
+        )]
+
+
+class BaseView(WidgetView):
+
+    name = "root"
+    url_rules = ["/"]
+    template_name = "templates/about.html"
+    chrome = panel("<span class='glyphicon glyphicon-info-sign' aria-hidden='true'></span> About")
+
+    def get_context(self, instance, *args, **kwargs):
+        return dict(text=instance.config["text"])

